/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxifnet_proto.h,v 1.13 2003/12/24 13:17:25 darron Exp $
 */
#ifndef _IF_ACXIFNET_PROTO_H
#define _IF_ACXIFNET_PROTO_H

void acx_ifnet_attach(struct acx_softc *sc);
void acx_ifnet_detach(struct acx_softc *sc);
int acx_ifnet_ioctl(struct ifnet *ifp, u_long cmd, caddr_t data);

void acx_ifnet_setchannels(struct ieee80211com *ic, u_int8_t low, u_int8_t high);
void acx_ifnet_setrates(struct ieee80211com *ic);
void acx_ifnet_init(void *arg);

void acx_ifnet_callout_next_scan(void *ifp);
int acx_ifnet_newstate(struct ieee80211com *ic, enum ieee80211_state newstate, int arg);

void acx_ifnet_up(struct ifnet *ifp);
void acx_ifnet_down(struct ifnet *ifp);

void acx_ifnet_start_scan(struct ifnet *ifp);

#endif /* !_IF_ACXIFNET_PROTO_H */
