/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxpci.h,v 1.10 2003/12/29 02:00:11 darron Exp $
 */

#ifndef _IF_ACXPCI_H
#define _IF_ACXPCI_H

/*
 * device id structures for known devices
 */
struct acx_pci_id
{
    int16_t type;           /* acx100, acx111 (unsupported) */
    u_int16_t vendor;
    u_int16_t device;
    const char *description;
};

#endif /* !_IF_ACXPCI_H */
