/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxreg_proto.h,v 1.2 2003/12/05 05:39:43 darron Exp $
 */

#ifndef _IF_ACXREG_PROTO_H
#define _IF_ACXREG_PROTO_H

inline u_int8_t READB( struct acx_resource *mem, u_int16_t reg);
inline void WRITEB( struct acx_resource *mem, u_int16_t reg, u_int8_t value);
inline u_int16_t READW( struct acx_resource *mem, u_int16_t reg);
inline void WRITEW( struct acx_resource *mem, u_int16_t reg, u_int16_t value);
inline u_int32_t READL( struct acx_resource *mem, u_int32_t reg);
inline void WRITEL( struct acx_resource *mem, u_int16_t reg, u_int32_t value);

#endif /* !_IF_ACXREG_PROTO_H */
