/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: acxtool.h,v 1.12 2004/02/26 09:31:28 darron Exp $
 */

#ifndef _ACXTOOL_H
#define _ACXTOOL_H

extern "C" {
#include <stddef.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <errno.h>
#include <sysexits.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/socket.h>
#include <net/ethernet.h>

#include <sys/time.h>
#include <sys/socket.h>
#include <net/if.h>
#include <net/if_var.h>
#include <net/if_arp.h>
#include <net/if_media.h>
#include <net/if_types.h>
#include <net/if_dl.h>

#include <net80211/ieee80211.h>
#include <net80211/ieee80211_ioctl.h>
};

extern "C" {
    #include "if_acxioctl.h"
    #include "if_acxpacket.h"
};

#include <string>
#include <iostream>

using namespace std;

#include "base.h"
#include "net.h"
#include "net80211.h"
#include "acx.h"

#endif /* !_ACXTOOL_H */
