/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: base.cxx,v 1.4 2003/12/17 00:47:01 darron Exp $
 */

#include "acxtool.h"

base::base()
{
}

base::~base()
{
}

string base::ten(u_int8_t byte)
{
    char buffer[16];
    sprintf(buffer, "%-3d", byte);
    return buffer;
}
string base::ten(u_int16_t word)
{
    char buffer[16];
    sprintf(buffer, "%-5d", word);
    return buffer;
}
string base::ten(u_int32_t longword)
{
    char buffer[16];
    sprintf(buffer, "%-10d", longword);
    return buffer;
}

string base::hex(u_int8_t byte)
{
    char buffer[16];
    sprintf(buffer, "0x%02x", byte);
    return buffer;
}
string base::hex(u_int16_t word)
{
    char buffer[16];
    sprintf(buffer, "0x%04x", word);
    return buffer;
}
string base::hex(u_int32_t longword)
{
    char buffer[16];
    sprintf(buffer, "0x%08x", longword);
    return buffer;
}
