/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxdev.h,v 1.7 2003/12/29 02:00:11 darron Exp $
 */

#ifndef _IF_ACXDEV_H
#define _IF_ACXDEV_H

#define ACX_DEV_100 0x100
#define ACX_DEV_111 0x111

#define ACX_DEV_IRQON  ~0x420A
#define ACX_DEV_IRQOFF 0xFFFF

/*
 * firmware
 *
 */
struct acx_dev_firmware
{
    int codesize;
    const u_int32_t *code;
};

#endif /* !_IF_ACXDEV_H */
