/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxdev_proto.h,v 1.8 2003/12/23 14:57:22 darron Exp $
 */

#ifndef _IF_ACXDEV_PROTO_H
#define _IF_ACXDEV_PROTO_H

int acx_dev_attach(struct acx_softc *sc);

void acx_dev_power_led_on(struct acx_softc *sc);
void acx_dev_power_led_off(struct acx_softc *sc);
void acx_dev_irq_on(struct acx_softc *sc);
void acx_dev_irq_off(struct acx_softc *sc);
void acx_dev_init(struct acx_softc *sc);
void acx_dev_end(struct acx_softc *sc);

void acx_dev_set_power_level(struct acx_softc *sc, u_int8_t power_level);

#endif /* !_IF_ACXDEV_PROTO_H */
