/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxpci_proto.h,v 1.6 2003/12/29 02:46:06 darron Exp $
 */

#ifndef _IF_ACXPCI_PROTO_H
#define _IF_ACXPCI_PROTO_H

static int acx_pci_probe(device_t dev);
static int acx_pci_attach(device_t dev);
static int acx_pci_detach(device_t dev);
static int acx_pci_shutdown(device_t dev);
static int acx_pci_suspend(device_t dev);
static int acx_pci_resume(device_t dev);

static int acx_pci_attach_acx100(struct acx_softc *sc);
static int acx_pci_detach_acx100(struct acx_softc *sc);
static int acx_pci_attach_acx111(struct acx_softc *sc);
static int acx_pci_detach_acx111(struct acx_softc *sc);

#endif /* !_IF_ACXPCI_PROTO_H */
