/*
 * Copyright (c) 2003 wlan.kewl.org Project
 * All rights reserved.
 *
 * Licensed under the terms of the BSD license, see file LICENSE
 * for details.
 *
 * $Id: if_acxsys.h,v 1.19 2004/02/15 02:42:22 darron Exp $
 */
#ifndef _IF_ACXSYS_H
#define _IF_ACXSYS_H

#include <sys/param.h>
#include <sys/bus.h>

#include <machine/bus.h>
#include <sys/rman.h>
#include <machine/resource.h>

#include <sys/types.h>
#include <sys/systm.h>
#include <sys/kernel.h>
#include <sys/module.h>

#include <dev/pci/pcireg.h>
#include <dev/pci/pcivar.h>

#include <sys/malloc.h>
#include <sys/queue.h>
#include <sys/taskqueue.h>

#include <sys/lock.h>
#include <sys/mutex.h>

#include <sys/time.h>
#include <sys/socket.h>
#include <net/if.h>
#include <net/if_var.h>
#include <net/if_arp.h>
#include <net/if_media.h>
#include <net/if_types.h>

#include <net/ethernet.h>

/* packet structure */
#include <net80211/ieee80211.h>
#include <net/if_llc.h>

/* ieee80211 api */
#include <net80211/ieee80211_var.h>

#include <sys/ioccom.h>
#include <sys/sockio.h>

#include <sys/condvar.h>

/* bpf */
#include <net/bpf.h>

#include <net/if_var.h>
#include <sys/sysctl.h>

#endif /* !_IF_ACXSYS_H */
